Redmine - Patch #40197

Update commonmarker to 2.3.0
2024-02-06 08:04 - Marius BALTEANU

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Marius BALTEANU % Done: 0%
Category: Gems support Estimated time: 0.00 hour
Target version: 6.1.0

Description

https://github.com/gjtorikian/commonmarker/blob/main/CHANGELOG.md

Related issues:

Related to Redmine - Patch #42602: Replaces deckar01-task_list with commonmar... Closed
Related to Redmine - Feature #39130: Common Formatting - Check tasklist item ... New
Blocked by Redmine - Feature #38585: Drop Ruby 2.7 and 3.0 support Closed

Associated revisions

Revision 23188 - 2024-11-03 13:02 - Marius BALTEANU

Updates commonmark gem version to 1.1.5 which switches from libcmark-gfm to comrak/Rust.

Revision 23189 - 2024-11-03 13:03 - Marius BALTEANU
Simplify code (#40197).

Revision 23190 - 2024-11-03 13:05 - Marius BALTEANU
Disable syntax_highlighter plugin shipped by commonmark (#40197).

Revision 23197 - 2024-11-03 19:34 - Marius BALTEANU
Reverts r23190-r23187 because the Cl build fails with error "ERROR: Failed to build gem native extension" (#40197).

Revision 23247 - 2024-11-11 19:28 - Marius BALTEANU

Updates commonmark gem version to 1.1.5 which switches from libcmark-gfm to comrak/Rust (#40197).

Revision 23248 - 2024-11-11 19:29 - Marius BALTEANU
Simplify code (#40197).

Revision 23249 - 2024-11-11 19:29 - Marius BALTEANU
Disables syntax_highlighter plugin shipped by commonmark (#40197).

Revision 23250 - 2024-11-11 19:41 - Marius BALTEANU
Fixes rubocop offenses (#40197).

Revision 23251 - 2024-11-11 20:48 - Marius BALTEANU

Replaces two more occurrences of CommonMarker (#40197).

Revision 23695 - 2025-04-21 07:26 - Marius BALTEANU
Updates commonmarker to 2.3.0 (#40197).

Revision 23696 - 2025-04-21 07:29 - Marius BALTEANU

Disable header _ids, tasklist, shortcodes extensions and github_pre_lang render option that are now enabled by default in commonmark (#40197).

History

#1 - 2024-02-06 09:50 - Go MAEDA

FYI: CommonMarker 1.0 requires Ruby 3.1.0 or higher. If this change is included in Redmine 6.0.0, Redmine 6.0.0 will drop support for Ruby 3.0 as
well as 2.7.
#2 - 2024-08-21 03:57 - Go MAEDA
Go MAEDA wrote in #note-1:

FYI: CommonMarker 1.0 requires Ruby 3.1.0 or higher. If this change is included in Redmine 6.0.0, Redmine 6.0.0 will drop support for Ruby 3.0
as well as 2.7.

Due to the migration to Rails 7.2 in #36320#note-42, Redmine now requires Ruby 3.1 and higher.
It is no longer necessary to consider the supported Ruby versions to update the CommonMarker gem.

#3 - 2024-08-21 03:59 - Go MAEDA
- Blocked by Feature #38585: Drop Ruby 2.7 and 3.0 support added

#4 - 2024-08-28 01:55 - Marius BALTEANU
- File 0001-Updates-commonmark-gem-version-to-1.1.5-which-switch.patch added
- Subject changed from Update commonmark to 1.0 to Update commonmark to 1.1

- Target version changed from Candidate for next major release to 6.0.0

Here is the patch that updates commonmark to 1.1.5. This update switches from libcmark-gfm to comrak/Rust which give us more option in terms of
text formatting.

#5 - 2024-08-29 22:22 - Marius BALTEANU
- File 0002-Simplify-code.patch added
- File 0003-Disable-syntax_highlighter-plugin-shipped-by-commonm.patch added

Two new patches in addition to the first one:

® 0002-Simplify-code.patch: just simplify the existing code
¢ 0003-Disable-syntax_highlighter-plugin-shipped-by-commonm.patch: disables for now the commonmark plugin for syntax_highlighter.

#6 - 2024-11-03 12:59 - Marius BALTEANU
- Target version changed from 6.0.0 to 6.1.0

#7 - 2024-11-03 12:59 - Marius BALTEANU
- Target version changed from 6.1.0 to 6.0.0

#8 - 2024-11-03 13:06 - Marius BALTEANU

- Status changed from New to Resolved

I've updated commonmark gem to 1.1.5.

#9 - 2024-11-03 19:39 - Marius BALTEANU
- Status changed from Resolved to New

- Target version changed from 6.0.0 to 6.1.0

I'm postponing this for 6.1.0 in order to fix the Cl build.

#10 - 2024-11-11 19:30 - Marius BALTEANU

- Status changed from New to Resolved

#11 - 2024-11-11 19:31 - Marius BALTEANU

Committed the patches again, I'm closing this after we have the Cl fixed.

#12 - 2024-11-13 08:25 - Marius BALTEANU

- Status changed from Resolved to Closed

The build is passing now, I'm closing this.

#13 - 2025-04-21 07:25 - Marius BALTEANU

2025-05-21 2/3


https://www.redmine.org/issues/36320#note-42
https://www.redmine.org/versions/198

- Subject changed from Update commonmark to 1.1 to Update commonmarker to 2.3.0

- Status changed from Closed to Reopened

#14 - 2025-04-21 07:32 - Marius BALTEANU

I've updated commonmarker to latest version, | will create new issues for each feature that | would like to enable.

#15 - 2025-04-21 07:36 - Marius BALTEANU

- Status changed from Reopened to Resolved

#16 - 2025-04-21 07:36 - Marius BALTEANU

- Related to Patch #42602: Replaces deckar01-task_list with commonmarks tasklist extension added

#17 - 2025-04-21 07:36 - Marius BALTEANU
- Related to Feature #39130: Common Formatting - Check tasklist item without editing function added

#18 - 2025-04-22 07:12 - Marius BALTEANU

- Status changed from Resolved to Closed

Files

0001-Updates-commonmark-gem-version-to-1.1.5-which-switch.patch 9.14 KB 2024-08-27 Marius BALTEANU
0002-Simplify-code.patch 1.29 KB 2024-08-29 Marius BALTEANU
0003-Disable-syntax_highlighter-plugin-shipped-by-commonm.patch 1.81 KB 2024-08-29 Marius BALTEANU
